[Pkg-javascript-devel] Rollup really broken

2018-12-30 Thread Bastien ROUCARIES
Hi, Acorn is broken due to rollup, and rollup is broken and could not be fixed due to old acorn. I have just fixed rollup-plugin-commonjs. Could you double check. I do not understand why the test suite fail. For rollup I get now for 0.50 (commonjs plugin) SyntaxError: 'import' and 'export' may

[Pkg-javascript-devel] node-rollup-plugin-commonjs_9.2.0-2_source.changes ACCEPTED into unstable

2018-12-30 Thread Debian FTP Masters
Accepted: -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Format: 1.8 Date: Mon, 31 Dec 2018 00:06:06 +0100 Source: node-rollup-plugin-commonjs Binary: node-rollup-plugin-commonjs Architecture: source Version: 9.2.0-2 Distribution: unstable Urgency: medium Maintainer: Debian Javascript

[Pkg-javascript-devel] Processing of node-rollup-plugin-commonjs_9.2.0-2_source.changes

2018-12-30 Thread Debian FTP Masters
node-rollup-plugin-commonjs_9.2.0-2_source.changes uploaded successfully to localhost along with the files: node-rollup-plugin-commonjs_9.2.0-2.dsc node-rollup-plugin-commonjs_9.2.0-2.debian.tar.xz node-rollup-plugin-commonjs_9.2.0-2_source.buildinfo Greetings, Your Debian queue

[Pkg-javascript-devel] node-rollup-plugin-commonjs_9.2.0-2_source.changes REJECTED

2018-12-30 Thread Debian FTP Masters
node-rollup-plugin-commonjs_9.2.0-2.dsc: Invalid size hash for node-rollup-plugin-commonjs_9.2.0.orig.tar.gz: According to the control file the size hash should be 63109, but node-rollup-plugin-commonjs_9.2.0.orig.tar.gz has 63063. If you did not include

[Pkg-javascript-devel] Processing of node-rollup-plugin-commonjs_9.2.0-2_source.changes

2018-12-30 Thread Debian FTP Masters
node-rollup-plugin-commonjs_9.2.0-2_source.changes uploaded successfully to localhost along with the files: node-rollup-plugin-commonjs_9.2.0-2.dsc node-rollup-plugin-commonjs_9.2.0-2.debian.tar.xz node-rollup-plugin-commonjs_9.2.0-2_source.buildinfo Greetings, Your Debian queue

[Pkg-javascript-devel] Bug#917842: json-editor.js: Upgrade to latest version (1.2.x)

2018-12-30 Thread Joel Cross
Source: json-editor.js Severity: wishlist The latest version of this library/tool is 1.2. Please can we package for the latest version. -- System Information: Debian Release: buster/sid APT prefers unstable APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental') Architecture:

[Pkg-javascript-devel] Bug#899266: Bug#899266: Bug#899266: [node-backbone] FTBFS documentation

2018-12-30 Thread Bastien ROUCARIES
On Sun, Dec 30, 2018 at 3:33 PM Jonas Smedegaard wrote: > > Control: tags -1 -ftbfs > Control: retitle -1 backbone: documentation is pre-generated > Control: severity -1 normal > > Quoting Bastien ROUCARIÈS (2018-05-21 23:37:19) > > docs/*.html are build with docco not packaged for debian > >

[Pkg-javascript-devel] Bug#917217: npm breaks other packages' bash-completion

2018-12-30 Thread Ralf Jung
Hi, > I don't see such a line here. > https://salsa.debian.org/js-team/npm/blob/master/lib/utils/completion.sh > > May be that came from an older version? Can you purge npm, reinstall and > confirm > if you still see it? I just extracted the package and to my surprise found the file somewhere

[Pkg-javascript-devel] uglifyjs_2.8.29-5_source.changes ACCEPTED into unstable

2018-12-30 Thread Debian FTP Masters
Accepted: -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Format: 1.8 Date: Sun, 30 Dec 2018 16:41:58 +0100 Source: uglifyjs Binary: node-uglify libjs-uglify Architecture: source Version: 2.8.29-5 Distribution: unstable Urgency: medium Maintainer: Debian Javascript Maintainers Changed-By:

[Pkg-javascript-devel] Bug#917217: marked as done (npm breaks other packages' bash-completion)

2018-12-30 Thread Debian Bug Tracking System
Your message dated Sun, 30 Dec 2018 20:48:48 +0530 with message-id and subject line Only old versions affected has caused the Debian Bug report #917217, regarding npm breaks other packages' bash-completion to be marked as done. This means that you claim that the problem has been dealt with. If

[Pkg-javascript-devel] Bug#917217: npm breaks other packages' bash-completion

2018-12-30 Thread Pirate Praveen
Control: notfound -1 5.8.0+ds6-2 Control: found -1 1.2.18~dfsg-1 Control: fixed -1 5.8.0+ds-1 On Mon, 24 Dec 2018 10:33:48 +0100 Ralf Jung wrote: > COMP_WORDBREAKS=${COMP_WORDBREAKS/=/} > > Please remove that line, or otherwise stop breaking unrelated packages. This is indeed left over from

[Pkg-javascript-devel] Processed: Re: npm breaks other packages' bash-completion

2018-12-30 Thread Debian Bug Tracking System
Processing control commands: > notfound -1 5.8.0+ds6-2 Bug #917217 [npm] npm breaks other packages' bash-completion No longer marked as found in versions npm/5.8.0+ds6-2. > found -1 1.2.18~dfsg-1 Bug #917217 [npm] npm breaks other packages' bash-completion Marked as found in versions

[Pkg-javascript-devel] node-lunr_2.3.5~dfsg-6_source.changes ACCEPTED into unstable

2018-12-30 Thread Debian FTP Masters
Accepted: -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Format: 1.8 Date: Sun, 30 Dec 2018 15:37:56 +0100 Source: node-lunr Binary: libjs-lunr node-lunr Architecture: source Version: 2.3.5~dfsg-6 Distribution: unstable Urgency: medium Maintainer: Debian Javascript Maintainers Changed-By:

[Pkg-javascript-devel] Bug#892227: marked as done (node-backbone: dependencies fail to resolve when jQuery not installed)

2018-12-30 Thread Debian Bug Tracking System
Your message dated Sun, 30 Dec 2018 15:04:23 + with message-id and subject line Bug#892227: fixed in backbone 1.3.3~dfsg-4 has caused the Debian Bug report #892227, regarding node-backbone: dependencies fail to resolve when jQuery not installed to be marked as done. This means that you claim

[Pkg-javascript-devel] backbone_1.3.3~dfsg-4_source.changes ACCEPTED into unstable

2018-12-30 Thread Debian FTP Masters
Accepted: -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Format: 1.8 Date: Sun, 30 Dec 2018 15:12:24 +0100 Source: backbone Binary: libjs-backbone node-backbone Architecture: source Version: 1.3.3~dfsg-4 Distribution: unstable Urgency: medium Maintainer: Debian Javascript Maintainers

[Pkg-javascript-devel] Bug#917217: npm breaks other packages' bash-completion

2018-12-30 Thread Pirate Praveen
On Mon, 24 Dec 2018 10:33:48 +0100 Ralf Jung wrote: > > COMP_WORDBREAKS=${COMP_WORDBREAKS/=/} > > Please remove that line, or otherwise stop breaking unrelated packages. > I don't see such a line here. https://salsa.debian.org/js-team/npm/blob/master/lib/utils/completion.sh May be that came

[Pkg-javascript-devel] Processing of node-lunr_2.3.5~dfsg-6_source.changes

2018-12-30 Thread Debian FTP Masters
node-lunr_2.3.5~dfsg-6_source.changes uploaded successfully to localhost along with the files: node-lunr_2.3.5~dfsg-6.dsc node-lunr_2.3.5~dfsg-6.debian.tar.xz node-lunr_2.3.5~dfsg-6_amd64.buildinfo Greetings, Your Debian queue daemon (running on host usper.debian.org) --

[Pkg-javascript-devel] Processed: Re: Bug#899266: [node-backbone] FTBFS documentation

2018-12-30 Thread Debian Bug Tracking System
Processing control commands: > tags -1 -ftbfs Bug #899266 [src:backbone] [node-backbone] FTBFS documentation Removed tag(s) ftbfs. > retitle -1 backbone: documentation is pre-generated Bug #899266 [src:backbone] [node-backbone] FTBFS documentation Changed Bug title to 'backbone: documentation is

[Pkg-javascript-devel] Bug#899266: Bug#899266: [node-backbone] FTBFS documentation

2018-12-30 Thread Jonas Smedegaard
Control: tags -1 -ftbfs Control: retitle -1 backbone: documentation is pre-generated Control: severity -1 normal Quoting Bastien ROUCARIÈS (2018-05-21 23:37:19) > docs/*.html are build with docco not packaged for debian Correct: The documentation files below docs/ in upstream source was

[Pkg-javascript-devel] Processing of backbone_1.3.3~dfsg-4_source.changes

2018-12-30 Thread Debian FTP Masters
backbone_1.3.3~dfsg-4_source.changes uploaded successfully to localhost along with the files: backbone_1.3.3~dfsg-4.dsc backbone_1.3.3~dfsg-4.debian.tar.xz backbone_1.3.3~dfsg-4_amd64.buildinfo Greetings, Your Debian queue daemon (running on host usper.debian.org) --

[Pkg-javascript-devel] Processing of uglifyjs_2.8.29-4_source.changes

2018-12-30 Thread Debian FTP Masters
uglifyjs_2.8.29-4_source.changes uploaded successfully to localhost along with the files: uglifyjs_2.8.29-4.dsc uglifyjs_2.8.29-4.debian.tar.xz uglifyjs_2.8.29-4_amd64.buildinfo Greetings, Your Debian queue daemon (running on host usper.debian.org) -- Pkg-javascript-devel mailing

[Pkg-javascript-devel] uglifyjs_2.8.29-4_source.changes ACCEPTED into unstable

2018-12-30 Thread Debian FTP Masters
Accepted: -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Format: 1.8 Date: Sun, 30 Dec 2018 12:04:45 +0100 Source: uglifyjs Binary: node-uglify libjs-uglify Architecture: source Version: 2.8.29-4 Distribution: unstable Urgency: medium Maintainer: Debian Javascript Maintainers Changed-By:

[Pkg-javascript-devel] Bug#917746: marked as done (uglifyjs: FTBFS: tests failures)

2018-12-30 Thread Debian Bug Tracking System
Your message dated Sun, 30 Dec 2018 11:20:55 + with message-id and subject line Bug#917746: fixed in uglifyjs 2.8.29-4 has caused the Debian Bug report #917746, regarding uglifyjs: FTBFS: tests failures to be marked as done. This means that you claim that the problem has been dealt with. If

[Pkg-javascript-devel] Bug#847642: marked as done (node-uglify: neither manpage nor --help output useful)

2018-12-30 Thread Debian Bug Tracking System
Your message dated Sun, 30 Dec 2018 11:20:55 + with message-id and subject line Bug#847642: fixed in uglifyjs 2.8.29-4 has caused the Debian Bug report #847642, regarding node-uglify: neither manpage nor --help output useful to be marked as done. This means that you claim that the problem

Re: [Pkg-javascript-devel] Bug#917750: node-redis: FTBFS: tests failed

2018-12-30 Thread Pirate Praveen
On 2018, ഡിസംബർ 30 1:32:47 PM IST, Xavier wrote: >Hello, > >node-redis seems also out-of-date. Would you accept co-maintenance on >this package ? > It is already listed as team maintained. I don't think we need to ask every uploader separately. -- Sent from my Android device with K-9 Mail.

Re: [Pkg-javascript-devel] Update policy for Buster

2018-12-30 Thread Pirate Praveen
On 2018, ഡിസംബർ 30 1:56:54 PM IST, Xavier wrote: >Hi all, > >while buster freeze comes, >https://udd.debian.org/dmd/?pkg-javascript-devel%40lists.alioth.debian.org >shows that: > - more than 60 RC bugs have to be fixed > - the majority of our packages are outdated or obsolete > >I think we

[Pkg-javascript-devel] node-v8flags_3.1.2-3_source.changes ACCEPTED into unstable

2018-12-30 Thread Debian FTP Masters
Accepted: -BEGIN PGP SIGNED MESSAGE- Hash: SHA512 Format: 1.8 Date: Sun, 30 Dec 2018 09:40:19 +0100 Source: node-v8flags Binary: node-v8flags Architecture: source Version: 3.1.2-3 Distribution: unstable Urgency: medium Maintainer: Debian Javascript Maintainers Changed-By: Bastien

[Pkg-javascript-devel] Processing of node-v8flags_3.1.2-3_source.changes

2018-12-30 Thread Debian FTP Masters
node-v8flags_3.1.2-3_source.changes uploaded successfully to localhost along with the files: node-v8flags_3.1.2-3.dsc node-v8flags_3.1.2-3.debian.tar.xz node-v8flags_3.1.2-3_source.buildinfo Greetings, Your Debian queue daemon (running on host usper.debian.org) --

[Pkg-javascript-devel] Update policy for Buster

2018-12-30 Thread Xavier
Hi all, while buster freeze comes, https://udd.debian.org/dmd/?pkg-javascript-devel%40lists.alioth.debian.org shows that: - more than 60 RC bugs have to be fixed - the majority of our packages are outdated or obsolete I think we should - at least until buster freeze - have a "salvage" policy.

Re: [Pkg-javascript-devel] Bug#917750: node-redis: FTBFS: tests failed

2018-12-30 Thread Xavier
Hello, node-redis seems also out-of-date. Would you accept co-maintenance on this package ? Cheers, Xavier Le 29/12/2018 à 23:40, Lucas Nussbaum a écrit : > Source: node-redis > Version: 0.12.1-2 > Severity: serious > Justification: FTBFS on amd64 > Tags: buster sid > Usertags: ftbfs-20181229